Subject: [netconf] FW: New Version Notification for draft-zhou-netconf-multi-stream-originators-06.txt

From: Tianran Zhou <[email-masked]>
Date: Mon, 8 Jul 2019 03:07:27 +0000

Hi WG,

Thanks Kent for the remind of adding examples to illustrate the model usage.
1. This revision mainly work on the examples. 
2. We also add a grouping on the resource-access-list. So that some transport, e.g., RESTCONF, is able to access multiple message generators.

I think the document is ready for the working group adoption for further improvement.

There is an open discussion, whether to include the transport configuration in this document?
Existing subscribed notifications does not include this part. So this is for example defined in the https notif with a new "receivers" container.
https://datatracker.ietf.org/doc/draft-mahesh-netconf-https-notif/

In multiple message originators scenario, I prefer to leaving the transport configuration to specific transport just as the subscribed notifications draft.
So I add an example on how to configure the https notif in multiple message originators scenario.

Thanks,
Tianran
-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Monday, July 08, 2019 10:39 AM
To: Andy Bierman <[email-masked]>; Eric Voit <[email-masked]>; Zhengguangying (Walker) <[email-masked]>; Alexander Clemm <[email-masked]>; Tianran Zhou <[email-masked]>
Subject: New Version Notification for draft-zhou-netconf-multi-stream-originators-06.txt

A new version of I-D, draft-zhou-netconf-multi-stream-originators-06.txt
has been successfully submitted by Tianran Zhou and posted to the IETF repository.

Name:		draft-zhou-netconf-multi-stream-originators
Revision:	06
Title:		Subscription to Multiple Stream Originators
Document date:	2019-07-07
Group:		Individual Submission
Pages:		21
URL:            https://www.ietf.org/internet-drafts/draft-zhou-netconf-multi-stream-originators-06.txt
Status:         https://datatracker.ietf.org/doc/draft-zhou-netconf-multi-stream-originators/
Htmlized:       https://tools.ietf.org/html/draft-zhou-netconf-multi-stream-originators-06
Htmlized:       https://datatracker.ietf.org/doc/html/draft-zhou-netconf-multi-stream-originators
Diff:           https://www.ietf.org/rfcdiff?url2=draft-zhou-netconf-multi-stream-originators-06

Abstract:
   This document describes the distributed data export mechanism that
   allows multiple data streams to be managed using a single
   subscription.  Specifically, multiple data streams are pushed
   directly to the collector without passing through a broker for
   internal consolidation.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat